My Oracle Support Banner

How to Reinstall the Original Puppet RPM Shipped with a Mammoth Release on the BDA (Doc ID 2506380.1)

Last updated on JANUARY 08, 2020

Applies to:

Big Data Appliance Integrated Software - Version 4.5.0 and later
Linux x86-64

Goal

On the BDA the puppetmaster and puppet instances that come pre-installed can not be used for application management.  See the discussion in the "Oracle Big Data Appliance Frequently Asked Questions v2.x and Higher (FAQ) (Doc ID 1518525.1)" for the Q/A on "After installation, can the puppetmaster and puppet instances that come pre-installed on the BDA be used for application management?".

If a higher version of puppet has been installed on a server for application use it needs to be downgraded to the version pre-installed with the Mammoth version on the cluster.

In his case bdachecksw will report an ERROR about the "Wrong puppet version" on the server where puppet has been upgraded.

For example on the server with the upgraded puppet version: 

The steps to restore the original version of puppet that is part of the Mammoth bundle follow.

All steps are done as <ROOT_USER>. 

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.